Subject: [secdir] Secdir review of draft-moriarty-pkcs12v1-1-03

From: Tina TSOU <[email-masked]>
Date: Sat, 11 Jan 2014 07:43:32 +0000

Dear all,
I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors. Document editors and WG chairs should treat
these comments just like any other last call comments.

Most of the contents in this draft is taken directly from a published RSA document PKCS #12. In this version, nearly all the typos are corrected. I think this document is good enough for publication.

In security consideration, it is suggested to follow PKCS #5 (RFC2898) to select passwords. I realize that in RFC2898 there is no discussion about how to ensure a good randomness of the salt.  Therefore, I suggest to cite RFC4086.
Maybe there should also be a reference to Appendix B, just to put that Appendix into perspective ... saying that RFC 4086 is the superior guide, but for integrity protection only, the method of Appendix B may be adequate.

Typo: second line of Abstract
(Republication) From -> (Republication) from

Typo, Sec. 1.1, third from last bullet regarding SP 800-132
selection of a the -> selection of the

Nit: Appendix B, Sec. B.4
passwords and salt that was given in Appendix C
 -> passwords and salt that is given in Appendix C

Thank you,
Tina

---

From: "Moriarty, Kathleen" <[email-masked]>
Date: Fri, 17 Jan 2014 13:44:17 -0500

Hello Tina,

Thank you very much for taking the time to review.  I made the editorial corrections in the new version that will be posted shortly.  We decided to transfer change control to the IETF in this version and will make more substantial updates to fix problems in the next version.

Thank you,
Kathleen

From: secdir [mailto:[email-masked]] On Behalf Of Tina TSOU
Sent: Saturday, January 11, 2014 2:44 AM
To: Org Iesg@Ietf.; [email-masked]; Org Secdir@Ietf.
Subject: [secdir] Secdir review of draft-moriarty-pkcs12v1-1-03

Dear all,

Thank you,
Tina